Skip to main content
GET
/
domains
List domains
curl --request GET \
  --url https://api.pulsewave.dev/v1/domains \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "dom_2x9k1p",
      "object": "domain",
      "name": "notifications.acme.com",
      "dns_records": [
        {
          "host": "pw._domainkey.notifications.acme.com",
          "value": "v=DKIM1; k=rsa; p=MIGfMA0..."
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Query Parameters

limit
integer<int32>
default:20

Number of results to return, between 1 and 100

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination. Pass the id of the last object from the previous page.

Response

A page of domains

object
enum<string>
Available options:
list
data
object[]
has_more
boolean